Bug 2965 - change rftDatabase from Postgres to Oracle
: change rftDatabase from Postgres to Oracle
Status: RESOLVED FIXED
: RFT
RFT
: 3.9.5
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-17 01:02 by
Modified: 2005-07-14 11:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-17 01:02:23
We would like to change rftDatabase from Postgres to Oracle.
However, there are two questions:
1."size", the field name of table transfer, is one of Oracle reserved words
2. there is no "boolean" type in Oracle database

What is the solution ?

Peggie Yao
Computing Centre, Academia Sinica
Taipei, Taiwan
------- Comment #1 From 2005-03-23 13:38:44 -------
Hmm..I think it takes some work to get around the boolean thing. If you want to
work on it I can help 
you with it.
------- Comment #2 From 2005-03-24 02:13:01 -------
Hello!

Our group would like to use Oracle database in the future so we do some testing
recently. Therefore, what can we do now? Or when can we get the   solution?

Thank you!

Regards,
Peggie Yao
Computing Centre, Academia Sinica
Taipei, Taiwan
------- Comment #3 From 2005-03-27 18:49:25 -------
As I said before, I don't have time to work on this specifically before 4.0.
But if you are willing to help 
us by starting work on this I can help you if you fix any problems you might
encounter.
------- Comment #4 From 2005-03-31 11:35:20 -------
This won't be fixed for 4.0. 
------- Comment #5 From 2005-07-14 11:48:09 -------
RFT in CVS HEAD works well with Oracle now.